const toggleButton = document.getElementById('CustomMenuBtn')
const customMenuContainer = document.getElementById('customNavigationMenu')
const toggleIcon = `<i class="fa fa-bars"><i>`
const toggleCloseIcon = `<i class="fa fa-times"><i>`

window.onload = function(){
    toggleButton.classList.add('hide')
    document.getElementById('main-wrapper').style.marginTop = document.querySelector('main>nav').clientHeight + 'px'
}
window.onresize = function(){
    document.getElementById('main-wrapper').style.marginTop = document.querySelector('main>nav').clientHeight + 'px'
}

// Open Custom Navigation Menu onClick
toggleButton.addEventListener("click", function(e){
    if(!customMenuContainer.classList.contains("show")){
        if(customMenuContainer.classList.contains("hide"))
        customMenuContainer.classList.remove("hide")
        customMenuContainer.classList.add("show")
        toggleButton.innerHTML = toggleCloseIcon
    }else{
        customMenuContainer.classList.remove("show")
        toggleButton.innerHTML = toggleIcon
    }
    
})